Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Added Jeweler and bumped version to 0.1.0

  • Loading branch information...
commit 9d9008c830abe1252a5498fdf207b7861384084b 1 parent ad1d049
@gregbell gregbell authored
Showing with 30 additions and 2 deletions.
  1. +1 −0  Gemfile
  2. +27 −0 Rakefile
  3. +2 −2 lib/active_admin/version.rb
View
1  Gemfile
@@ -9,6 +9,7 @@ gem 'formtastic', '1.1.0.beta'
gem 'will_paginate', '3.0.pre2'
gem "meta_search", '0.9.2'
gem 'inherited_views'
+gem 'jeweler'
# Testing Dependencies
gem 'rspec', '2.0.0.beta.20'
View
27 Rakefile
@@ -42,3 +42,30 @@ Rake::RDocTask.new do |rdoc|
rdoc.rdoc_files.include('README*')
rdoc.rdoc_files.include('lib/**/*.rb')
end
+
+begin
+ require 'jeweler'
+ Jeweler::Tasks.new do |gem|
+ gem.name = "activeadmin"
+ gem.summary = "The administration framework for Ruby on Rails."
+ gem.description = "The administration framework for Ruby on Rails."
+ gem.email = "gregdbell@gmail.com"
+ gem.homepage = "http://github.com/gregbell/active_admin"
+ gem.authors = ["Greg Bell"]
+
+ gem.files.exclude 'spec/rails'
+ gem.test_files.exclude 'spec/rails'
+
+ require File.join(File.dirname(File.expand_path(__FILE__)), 'lib', 'active_admin', 'version')
+ gem.version = ActiveAdmin::VERSION
+
+ gem.add_dependency 'rails', '>= 3.0.0'
+ gem.add_dependency 'formtastic', '>= 1.1.0.beta'
+ gem.add_dependency 'will_paginate', '>= 3.0.pre2'
+ gem.add_dependency "meta_search", '>= 0.9.2'
+ gem.add_dependency 'inherited_views'
+ end
+ Jeweler::GemcutterTasks.new
+rescue LoadError
+ puts "Jeweler not available. Install it with: gem install jeweler"
+end
View
4 lib/active_admin/version.rb
@@ -1,3 +1,3 @@
module ActiveAdmin
- VERSION = '0.0.1'
-end
+ VERSION = '0.1.0'
+end
Please sign in to comment.
Something went wrong with that request. Please try again.